#!/usr/bin/env python
# -*- coding: utf-8 -*-
import time
import cwiid
import motorlib

def calc_maxdiff(startval, currentval):
    thres = 8
    maxdiff = 0
    maxpos = -1
    for i in range(2):
        tmpval = abs(currentval[i] - startval[i])
        if tmpval > thres and maxdiff < tmpval:
            maxdiff = tmpval
            maxpos = i

    return maxpos

def main():
    wm = cwiid.Wiimote()
    wm.rpt_mode = cwiid.RPT_BTN | cwiid.RPT_ACC
    time.sleep(0.1)
    cxyz = wm.state['acc']
    motorlib.initialize_motor()
    maxspeed = 25.0
    print 'Connected to Wiimote'
    wm.rumble = True
    time.sleep(0.5)
    wm.rumble = False

    while True:
        try:
            if wm.state['buttons'] & cwiid.BTN_B:
                curxyz = wm.state['acc']
                maxpos = calc_maxdiff(cxyz, curxyz)
                print cxyz, curxyz
                if maxpos == 0:
                    tmpval = curxyz[0] - cxyz[0]
                    if abs(tmpval) > maxspeed:
                        speed = 100
                    else:
                        speed = 100 * (abs(tmpval) / maxspeed)
                    if tmpval > 0:
                        motorlib.turn_right(speed)
                        print 'turn right'
                    else:
                        motorlib.turn_left(speed)
                        print 'turn left'
                elif maxpos == 1:
                    tmpval = curxyz[1] - cxyz[1]
                    if abs(tmpval) > maxspeed:
                        speed = 100
                    else:
                        speed = 100 * (abs(tmpval) / maxspeed)
                    if tmpval > 0:
                        motorlib.go_forward(speed)
                        print 'go forward'
                    else:
                        motorlib.go_backward(speed)
                        print 'go backward'
            else:
                motorlib.stop_motor()
                
            time.sleep(0.1)
        except KeyboardInterrupt:
            break
    wm.close()
    motorlib.finalize_motor()

if __name__ == '__main__':
    main()
