#!/usr/bin/env python
# -*- coding: utf-8 -*-
import time
import Adafruit_BBIO.ADC as ADC

RSENSOR = "P9_39"
LSENSOR = "P9_40"

def initialize_ADC():
    ADC.setup()

def read_sensors_core(rawval=True):
    if rawval:
        rval = ADC.read_raw(RSENSOR)
        lval = ADC.read_raw(LSENSOR)
    else:
        rval = ADC.read(RSENSOR)
        lval = ADC.read(LSENSOR)

    return rval, lval

def read_sensors(sensor='both', raw=True):
    if raw:
        min_thres = 10.0
    else:
        min_thres = 0.01
    
    rval, lval = read_sensors_core(rawval=raw)

    if rval < min_thres or lval < min_thres:
        #不正な値野場合は再度読み出し
        rval, lval = read_sensors_core(rawval=raw)

    if sensor == 'right':
        return rval
    elif sensor == 'left':
        return lval
    elif sensor == 'both':
        return [rval, lval]
    else:
        print 'unsupported sensor'
        return None
    
def main():
    initialize_ADC()
    while True:
        try:
            val = read_sensors()
            if val != None:
                print val
            time.sleep(0.1)
        except KeyboardInterrupt:
            break

if __name__ == '__main__':
    main()
