#!/usr/bin/env python
# -*- coding: utf-8 -*-
import time
import sensorlib
import motorlib

def main():
    sensorlib.initialize_ADC()    
    motorlib.initialize_motor()
    collision_thres = 700
    speed = 80
    
    while True:
        try:
            vals = sensorlib.read_sensors()
            if vals != None:
                rval = vals[0]
                lval = vals[1]
                if rval > collision_thres and lval > collision_thres:
                    print 'stop'
                    motorlib.stop_motor()
                elif rval > collision_thres:
                    print 'left'
                    motorlib.turn_left(speed)
                elif lval > collision_thres:
                    print 'right'
                    motorlib.turn_right(speed)
                else:
                    print 'forward'
                    motorlib.go_forward(speed)
            time.sleep(0.1)            
        except KeyboardInterrupt:
            break
    motorlib.finalize_motor()

if __name__ == '__main__':
    main()        
