#!/usr/bin/env python
# -*- coding: utf-8 -*-
import time
import cv, cv2
import numpy as np

def main():
    capture = cv2.VideoCapture(0)
    capture.set(cv.CV_CAP_PROP_FRAME_WIDTH, 320)
    capture.set(cv.CV_CAP_PROP_FRAME_HEIGHT, 240)    
    time.sleep(0.1)
    ret, img = capture.read()
    if ret:
        gray = cv2.cvtColor(img, cv.CV_BGR2GRAY)
        blur = cv2.GaussianBlur(gray, (0,0), 2)
        circles = cv2.HoughCircles(blur, cv.CV_HOUGH_GRADIENT, 2, 50, np.array([]), 40, 200, 5, 100)
        if circles is not None:
            for c in circles[0]:
                cv2.circle(img, (c[0], c[1]), c[2], (0, 0, 255), 2)
        cv2.imwrite("test_circle.png", img)

if __name__ == '__main__':
    main()
