#!/usr/bin/env python
# -*- coding: utf-8 -*-
import cv, cv2
import numpy as np

def extract_redregion(img, thres, bias):
    #赤の要素がthres以上で、緑と青よりbias倍以上あるピクセルを抽出
    intbias = int(bias*10)
    spimg = cv2.split(img)
    img_r = spimg[2]
    img_g = spimg[1]
    img_b = spimg[0]
    tret, img_thres_r = cv2.threshold(img_r, thres, 255, cv.CV_THRESH_BINARY)
    img_tmp = cv2.divide(img_r, img_g, np.array([]), 10)
    tret, img_thres_g = cv2.threshold(img_tmp, intbias, 255, cv.CV_THRESH_BINARY)
    img_tmp = cv2.divide(img_r, img_b, np.array([]), 10)
    tret, img_thres_b = cv2.threshold(img_tmp, intbias, 255, cv.CV_THRESH_BINARY)
    img_tmp = cv2.bitwise_and(img_thres_g, img_thres_b, np.array([]), None)
    img_result = cv2.bitwise_and(img_tmp, img_thres_r, np.array([]), None)
    retval = cv2.moments(img_result)
    gx = -1
    gy = -1
    if retval and retval['m00'] != 0:
        gx = int(retval['m10'] / retval['m00'])
        gy = int(retval['m01'] / retval['m00'])

    return gx, gy, img_result
