#!/usr/bin/env python
# -*- coding: utf-8 -*-
import time
import cv, cv2
import numpy as np
import visionlib

def main():
    capture = cv2.VideoCapture(0)
    capture.set(cv.CV_CAP_PROP_FRAME_WIDTH, 320)
    capture.set(cv.CV_CAP_PROP_FRAME_HEIGHT, 240)
    time.sleep(0.1)
    ret, img = capture.read()
    if ret:
        gx, gy, img_result = visionlib.extract_redregion(img, 100, 1.5)
        if gx != -1 and gy != -1:
            print (gx, gy)
            cv2.line(img, (gx-5, gy), (gx+5, gy), [0, 255, 0], 2)
            cv2.line(img, (gx, gy-5), (gx, gy+5), [0, 255, 0], 2)
            cv2.imwrite("test.png", img)
            cv2.imwrite("test_red.png", img_result)

if __name__ == '__main__':
    main()
