#!/usr/bin/env python
# -*- coding: utf-8 -*-
import time
import cv, cv2
import numpy as np
import visionlib
import motorlib

def main():
    capture = cv2.VideoCapture(0)
    capture.set(cv.CV_CAP_PROP_FRAME_WIDTH, 320)
    capture.set(cv.CV_CAP_PROP_FRAME_HEIGHT, 240)
    motorlib.initialize_motor()
    time.sleep(0.1)    
    speed = 80
    turn_speed = 30
    min_area = 500
    deadband_x = 75
    deadband_area = 2000
    target_x = 160
    target_area = 5000
    
    while True:
        try:
            ret, img = capture.read()
            if ret:
                gx, gy, img_result = visionlib.extract_redregion(img, 100, 1.5)
                area = cv2.countNonZero(img_result)
                if gx != -1 and gy != -1 and area > min_area:
                    diff_x = gx - target_x
                    diff_area = area - target_area
                    print gx, area
                    if abs(diff_x) < deadband_x and abs(diff_area) < deadband_area:
                        print 'stop'
                        motorlib.stop_motor()
                    elif abs(diff_x) > deadband_x:
                        if diff_x > 0:
                            print 'right'
                            motorlib.turn_right(turn_speed)
                        elif diff_x < 0:
                            print 'left'
                            motorlib.turn_left(turn_speed)
                    else:
                        if diff_area > 0:
                            print 'backward'
                            motorlib.go_backward(speed)
                        elif diff_area < 0:
                            print 'forward'
                            motorlib.go_forward(speed)
                else:
                    motorlib.stop_motor()
        except KeyboardInterrupt:
            break
    motorlib.finalize_motor()

if __name__ == '__main__':
    main()
